<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_USERSTORIES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERSTORIES}}"></span>
    </h2>
    <br />
    <form class="ui form" id="userstories-form" th:object="${userstory}" method="post">
      <input type="hidden" th:field="*{id}" />
      <input type="hidden" th:field="*{epic}" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                                 field = 'name', 
                                                                 required = true, 
                                                                 maxlength = 50, 
                                                                 placeholder = '',
                                                                 columnsize = 'ten wide'
                                                                 )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAMS}}, 
		                                                                 field = 'team', 
		                                                                 options = ${teams},
		                                                                 optionfield = 'item.name',
		                                                                 required = true,
		                                                                 columnsize = 'four wide',
                                                                         emptyoption = true
		                                                                 )" />
        <div class="field required two wide column">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STORYPOINTS}}"></label>
          <div class="ui fluid input">
            <select class="ui fluid search dropdown" th:field="*{estimate}">
              <option value="0">0</option>
              <option value="1">1</option>
              <option value="2">2</option>
              <option value="3">3</option>
              <option value="5">5</option>
              <option value="8">8</option>
              <option value="13">13</option>
              <option value="20">20</option>
              <option value="40">40</option>
              <option value="100">100</option>
            </select>
          </div>
        </div>
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}, 
                                                                 field = 'description', 
                                                                 required = false,
                                                                 maxlength = 400, 
                                                                 placeholder = '',
                                                                 columnsize = 'sixteen wide'
                                                                 )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      	icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      	icon1url = ''
                                                                      	)" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
</body>
</html>